Summary: The Open Racing Car Simulator
Name: TORCS
Version: 1.2.1
Release: alt1
License: GPL
Url: http://torcs.org
Packager: Alexander Belov <asbel@altlinux.ru>
Group: Games/Sports

Source: %name-%version-src.tar.bz2
Source1: %name-%version-src-robots-K1999.tar.bz2
Source2: %name-%version-src-robots-base.tar.bz2
Source3: %name-%version-src-robots-berniw.tar.bz2
Source11: %name.16.xpm
Source12: %name.32.xpm
Source13: %name.48.xpm
Source14: %name-%version-docs.tar.bz2
Source15: playavi.sh

Patch1: TORCS-playavi.patch

Requires: %name-data
Requires: libglut >= 3.7, plib >= 1.6
BuildRequires: libglut-devel >= 3.7, plib-devel >= 1.6
# Automatically added by buildreq on   11 2003
BuildRequires: XFree86-devel-static gcc-c++ libGLU-devel libglut-devel libpng-devel libstdc++-devel plib-devel zlib-devel

%description
A 3D racing car simulator using OpenGL.

%prep
%setup -n torcs-%version
%setup -T -D -b 1 -n torcs-%version
%setup -T -D -b 2 -n torcs-%version
%setup -T -D -b 3 -n torcs-%version
%setup -T -D -b 14 -n torcs-%version

%patch1 -p1

%build
export TORCS_BASE=`pwd` MAKE_DEFAULT=`pwd`/Make-default.mk
%configure
%make

%install
%makeinstall

install -m 644 %SOURCE15 $RPM_BUILD_ROOT%_datadir/games/torcs/

# Menu
mkdir -p $RPM_BUILD_ROOT/%_menudir
cat << EOF > $RPM_BUILD_ROOT/%_menudir/%name
?package(%name):\
needs="x11"\
section="Amusement/Sports"\
title="%name"\
longtitle="The Open Racing Car Simulator"\
command="torcs"\
icon="%name.xpm"

EOF

# Icons
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
install -m 644 %SOURCE11 $RPM_BUILD_ROOT/%_miconsdir/%name.xpm
install -m 644 %SOURCE12 $RPM_BUILD_ROOT/%_iconsdir/%name.xpm
install -m 644 %SOURCE13 $RPM_BUILD_ROOT/%_liconsdir/%name.xpm

%post
%update_menus

%postun
%clean_menus

%files
%doc docs/* CHANGELOG.html COPYING README.linux TODO.html
%_bindir/*
%_libdir/*.so
%_datadir/games/torcs/*
%_menudir/%name
%_miconsdir/%name.xpm
%_iconsdir/%name.xpm
%_liconsdir/%name.xpm

%changelog
* Wed Apr 30 2003 Alexander Belov <asbel@altlinux.ru> 1.2.1-alt1
- New version
- Adding documentation

* Fri Apr 4 2003 Alexander Belov <asbel@mail.ru> 1.2.0-alt1
- Sisyphus first release

* Mon Mar 24 2003 Eric Espi <Eric.Espie@free.fr> 1.2.0
- new version

* Mon Jul 15 2002 Eric Espi <Eric.Espie@free.fr> 1.1.0-2
- improved specfile

* Sat Jul 13 2002 Eric Espi <Eric.Espie@free.fr> 1.1.0
- version 1.1.0

* Mon Dec 17 2001 Eric Espi <Eric.Espie@free.fr> 1.0.0
- version 1.0.0 final

* Sun Dec  9 2001 Eric Espi <Eric.Espie@free.fr> 1.0.0-rc5
- installation updates

* Sat Dec  8 2001 Eric Espi <Eric.Espie@free.fr> 1.0.0-rc4
- initial RPM
